org.apache.xmpbox.type

## Class Attribute

- java.lang.Object
- - org.apache.xmpbox.type.Attribute

    public class Attribute
    extends Object

Simple representation of an attribute

Author:
  a183132

### Constructor Summary

Constructors
Constructor and Description
`Attribute(String nsURI, String localName, String value)` Constructor of a new Attribute

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getName()` Get the localName of this attribute
`String` `getNamespace()` Get the namespace URI of this attribute
`String` `getValue()` Get value of this attribute
`void` `setName(String lname)` Set the localName of this attribute
`void` `setNsURI(String nsURI)` Set the namespace URI of this attribute
`void` `setValue(String value)` Set value of this attribute
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Attribute

    public Attribute(String nsURI,
                     String localName,
                     String value)

Constructor of a new Attribute

Parameters:
  `nsURI` - namespaceURI of this attribute (could be null)
  `localName` - localName of this attribute
  `value` - value given to this attribute

### Method Detail

#### getName

    public String getName()

Get the localName of this attribute

Returns:
  local name of this attribute

#### setName

    public void setName(String lname)

Set the localName of this attribute

Parameters:
  `lname` - the local name to set

#### getNamespace

    public String getNamespace()

Get the namespace URI of this attribute

Returns:
  the namespace URI associated to this attribute (could be null)

#### setNsURI

    public void setNsURI(String nsURI)

Set the namespace URI of this attribute

Parameters:
  `nsURI` - the namespace URI to set

#### getValue

    public String getValue()

Get value of this attribute

Returns:
  value of this attribute

#### setValue

    public void setValue(String value)

Set value of this attribute

Parameters:
  `value` - the value to set for this attribute

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`